import 'package:flutter/material.dart';
import 'package:wyatt_wyatt_ui_layout/src/core/core.dart';
import 'package:wyatt_wyatt_ui_layout/src/presentation/layouts/layout.dart';

class BottomNavigationBarLayout extends Layout {
  final Widget body;
  final int currentIndex;

  const BottomNavigationBarLayout({
    required this.currentIndex,
    required this.body,
    super.key,
  });
  @override
  Widget build(BuildContext context) => Scaffold(
        body: body,
        bottomNavigationBar: context.components.bottomNavigationBar.configure(
          currentIndex: currentIndex,
        ),
      );
}
